#include "game.h"
#include "libmy/key.h"
#include "libmy/snd.h"
#include "libmy/bg.h"
#include "res.h"


//---------------------------------------------------------------------------


//---------------------------------------------------------------------------
EWRAM_CODE void GameInit()
{
	SndSetData(SND_ID_BGM, (u8*)&music01_raw, *(u32*)&music01_raw_size, -6, TRUE);
	SndPlay(SND_ID_BGM);
}
//---------------------------------------------------------------------------
EWRAM_CODE void GameExec()
{
	u16 key = KeyGetCnt();


	if(key & KEY_UP)
	{
		SndSetData(SND_ID_BGM, (u8*)&music01_raw, *(u32*)&music01_raw_size, -2, TRUE);
		SndPlay(SND_ID_BGM);
	}
	else if(key & KEY_DOWN)
	{
		SndSetData(SND_ID_BGM, (u8*)&music02_raw, *(u32*)&music02_raw_size, -6, TRUE);
		SndPlay(SND_ID_BGM);
	}
	else if(key & KEY_LEFT)
	{
		SndSetData(SND_ID_BGM, (u8*)&music03_raw, *(u32*)&music03_raw_size, -6, TRUE);
		SndPlay(SND_ID_BGM);
	}
	else if(key & KEY_RIGHT)
	{
		SndStop(SND_ID_BGM);
	}


	if(key & KEY_A)
	{
		SndSetData(SND_ID_SE, (u8*)&se01_raw, *(u32*)&se01_raw_size, 0, FALSE);
		SndPlay(SND_ID_SE);
	}
	else if(key & KEY_B)
	{
		SndSetData(SND_ID_SE, (u8*)&se02_raw, *(u32*)&se02_raw_size, 0, FALSE);
		SndPlay(SND_ID_SE);
	}
}
//---------------------------------------------------------------------------
EWRAM_CODE void GameDraw()
{
	BgSjisDrawStr(0, 0, "aflrd@TEheXg");
}
