#include "fade.h"


//---------------------------------------------------------------------------
ST_FADE Fade;


//---------------------------------------------------------------------------
EWRAM_CODE void FadeInit()
{
	_Memset(&Fade, 0x00, sizeof(ST_FADE));

	Fade.min  = 0;
	Fade.max  = 15;
	Fade.wait = 10;

	REG_BLDCNT = BLEND_MODE_DARK | BLEND_TOP_BG0 | BLEND_TOP_BG1 | BLEND_TOP_BG2 | BLEND_TOP_OBJ;
	REG_BLDY   = 0;
}
//---------------------------------------------------------------------------
EWRAM_CODE void FadeSetCnt(s16 min, s16 max, s16 wait)
{
	Fade.min  = min;
	Fade.max  = max;
	Fade.wait = wait;
}
//---------------------------------------------------------------------------
EWRAM_CODE void FadeIn()
{
	s16 i;

	for(i=Fade.min; i<=Fade.max; i++)
	{
		SystemCall(5);
		REG_BLDY = i;
	}
}
//---------------------------------------------------------------------------
EWRAM_CODE void FadeOut()
{
	s16 i;

	for(i=Fade.max; i>=Fade.min; i--)
	{
		SystemCall(5);
		REG_BLDY = i;
	}
}
