#ifndef __PCG_H__
#define __PCG_H__
#ifdef __cplusplus
extern "C" {
#endif

#include "../libgba/gba.h"

//---------------------------------------------------------------------------
#define MAX_BLOCK_CNT			(128)		// GBA̍őubN
#define MAX_PATTERN_CNT			(552)		// ROM̍őubN


//---------------------------------------------------------------------------
typedef struct {
	u8 tile[16*16];
} __PACKED ST_TILE_BLOCK;


typedef struct {
	u16 blkLastChkNum;
	u16 blkCnt[MAX_BLOCK_CNT];
	u16 blkPat[MAX_BLOCK_CNT];
	u16 bufPat[MAX_PATTERN_CNT];

	ST_TILE_BLOCK* pTile;
} ST_PCG;


//---------------------------------------------------------------------------
EWRAM_CODE void PcgInit();
IWRAM_CODE void PcgClean();

IWRAM_CODE u16  PcgGetOamTile(u16 pat);
IWRAM_CODE s16  PcgGetBlockNum();
IWRAM_CODE void PcgSetOamData(u16 pat, s16 blk);


#ifdef __cplusplus
}
#endif
#endif
